org.apache.commons.fileupload

## Class FileUploadBase.UnknownSizeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.fileupload.FileUploadException
      - - org.apache.commons.fileupload.FileUploadBase.UnknownSizeException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    FileUploadBase

  Deprecated.
  1.2 As of commons-fileupload 1.2, the presence of a content-length header is no longer required.

      @Deprecated
      public static class FileUploadBase.UnknownSizeException
      extends FileUploadException

  Thrown to indicate that the request size is not specified. In other words, it is thrown, if the content-length header is missing or contains the value -1.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownSizeException()` Deprecated. Constructs a `UnknownSizeException` with no detail message.
    `UnknownSizeException(String message)` Deprecated. Constructs an `UnknownSizeException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.fileupload.FileUploadException

      `getCause, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownSizeException

          public UnknownSizeException()

      Deprecated.
      Constructs a `UnknownSizeException` with no detail message.

    - #### UnknownSizeException

          public UnknownSizeException(String message)

      Deprecated.
      Constructs an `UnknownSizeException` with the specified detail message.
      Parameters:
        `message` - The detail message.

Copyright © 2002–2019 The Apache Software Foundation. All rights reserved.